Page MenuHomePhabricator

Showing the lemma in the watchlist
Closed, ResolvedPublic2 Story Points

Description

As a user I want to be able to quickly see what is behind a Lexeme ID I see in my watchlist in order to know if the edit summary associated with it represents a good or bad edit.

The watchlist line should start with for example "Lehrerin (L123)" instead of "L123" if Lehrerin is the lemma.

GIVEN There has been an edit made to the Lexeme that I am watching
WHEN I am on my watchlist
THEN I see the lemma of the lexeme and the ID
AND they link to the lexeme page

Details:

  • If there are multiple then show them separated by translatable separator (in English forward slash) in the order in which they are in the Lexeme.

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptApr 6 2018, 8:32 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
WMDE-leszek updated the task description. (Show Details)Apr 24 2018, 3:13 PM
WMDE-leszek updated the task description. (Show Details)
WMDE-leszek set the point value for this task to 5.Apr 24 2018, 3:17 PM
Lydia_Pintscher triaged this task as High priority.May 8 2018, 12:48 PM

Potentially going to be fixed with T195382.

Pablo-WMDE changed the point value for this task from 5 to 2.Jun 6 2018, 1:42 PM

Actual work was done in T195382. We should write a browser test to test the behavior.

Change 440870 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/core@master] Add browser test for basic watchlist functionality

https://gerrit.wikimedia.org/r/440870

Change 441183 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/WikibaseLexeme@master] Add browser test for lexeme link formatting on watchlist

https://gerrit.wikimedia.org/r/441183

Change 440870 merged by jenkins-bot:
[mediawiki/core@master] Add browser test for basic watchlist functionality

https://gerrit.wikimedia.org/r/440870

Change 441183 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Add browser test for lexeme link formatting on watchlist

https://gerrit.wikimedia.org/r/441183